- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# FUTracker Class Reference
[Utility Classes.]

An object set Each set has access to a list of unique objects. More...

`#include <FUTracker.h>`

Inheritance diagram for FUTracker:

List of all members.

## Public Member Functions
virtual | ~FUTracker ()
| Destructor.
virtual void | OnObjectReleased (FUTrackable *object)=0
| Callback when an object tracked by this tracker is being released.
virtual bool | TracksObject (const FUTrackable *object) const
| Retrieves whether an object is tracked by this tracker.
## Protected Member Functions
void | TrackObject (FUTrackable *object)
| Adds an object to be tracked.
void | UntrackObject (FUTrackable *object)
| Stops tracking an object.

## Detailed Description

An object set Each set has access to a list of unique objects.

When the objects are created/released: they will inform the list.

## Member Function Documentation

virtual void FUTracker::OnObjectReleased | ( | FUTrackable * | object | ) | `[pure virtual]`

  | Callback when an object tracked by this tracker is being released. Parameters:
  | object | A tracked object.
Implemented in FCDAnimated, FCDEntityInstance, FCDPlaceHolder, FUTrackedPtr< ObjectClass >, FUTrackedList< ObjectClass >, FUTrackedPtr< FCDPhysicsRigidBody >, FUTrackedPtr< FCDSceneNode >, FUTrackedPtr< FCDGeometryInstance >, FUTrackedPtr< FCDPhysicsMaterial >, FUTrackedPtr< FCDEntityInstance >, FUTrackedPtr< FCDAnimated >, FUTrackedPtr< FCDPhysicsRigidBodyInstance >, and FUTrackedList< FCDEntityReference >.

void FUTracker::TrackObject | ( | FUTrackable * | object | ) | `[inline, protected]`

  | Adds an object to be tracked. Parameters:
  | object | The object to track.

virtual bool FUTracker::TracksObject | ( | const FUTrackable * | object | ) | const`[inline, virtual]`

  | Retrieves whether an object is tracked by this tracker. Parameters:
  | object | An object.
Reimplemented in FUTrackedPtr< ObjectClass >, FUTrackedList< ObjectClass >, FUTrackedPtr< FCDPhysicsRigidBody >, FUTrackedPtr< FCDSceneNode >, FUTrackedPtr< FCDGeometryInstance >, FUTrackedPtr< FCDPhysicsMaterial >, FUTrackedPtr< FCDEntityInstance >, FUTrackedPtr< FCDAnimated >, FUTrackedPtr< FCDPhysicsRigidBodyInstance >, and FUTrackedList< FCDEntityReference >.

void FUTracker::UntrackObject | ( | FUTrackable * | object | ) | `[inline, protected]`

  | Stops tracking an object. Parameters:
  | object | The object to stop tracking.

The documentation for this class was generated from the following file:

- FUtils/FUTracker.h